/**
* Copyright (C) 2020 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.service;

import org.springframework.remoting.support.RemoteInvocation;
import org.springframework.remoting.support.RemoteInvocationResult;

/**
 * @author a.kohlbecker
 * @since Feb 4, 2020
 */
public interface IRemoteInvocationTermCacher {

    public void cacheTerms(RemoteInvocation ri, RemoteInvocationResult rir);

    public RemoteInvocationResult termsFromCache(RemoteInvocation ri);
}